Gecode::Gist::NodeWidget Class Reference

Small node drawings for the status bar. More...

`#include <nodewidget.hh>`

## Public Member Functions

| NodeWidget (NodeStatus s)

## Protected Member Functions

void | paintEvent (QPaintEvent *)

## Protected Attributes

NodeStatus | status

## Detailed Description

Small node drawings for the status bar.

Definition at line 43 of file nodewidget.hh.

## Constructor & Destructor Documentation

## NodeWidget()

Gecode::Gist::NodeWidget::NodeWidget | ( | NodeStatus | s | ) |

Definition at line 39 of file nodewidget.cpp.

## Member Function Documentation

## paintEvent()

void Gecode::Gist::NodeWidget::paintEvent | ( | QPaintEvent * |  | ) |

protected

Definition at line 44 of file nodewidget.cpp.

## Member Data Documentation

## status

NodeStatus Gecode::Gist::NodeWidget::status

protected

Definition at line 47 of file nodewidget.hh.

The documentation for this class was generated from the following files:

- gecode/gist/nodewidget.hh
- gecode/gist/nodewidget.cpp